Show: Inherited Protected Private Deprecated

# ButtonActionStyle Class

Defined in: `src/ui/react/src/components/base/button-action-style.js:4`

ButtonActionStyle is a mixin that provides applying style implementation for a button based on the `applyStyle` and `removeStyle` API of CKEDITOR.

To execute properly, the component has to expose the following methods which can be obtained out of the box using the ButtonStyle mixin:

- `Function` isActive to check the active state
- `Function` getStyle to return the style that should be applied

## Index

### Methods

- applyStyle

## Methods

### `applyStyle`

()

Defined in `src/ui/react/src/components/base/button-action-style.js:16`

Removes or applies the component style to the current selection.